using System;

using csUnit;

namespace Ex1
{
	[TestFixture]
	public class TestMagazineIndex
	{
		private MagazineIndex cbtMagazineIndex;

		[SetUp]
		public void SetUp()
		{
			cbtMagazineIndex = new MagazineIndex();
		}

		[TearDown]
		public void CleanUp()
		{
			cbtMagazineIndex = null;
		}

		[Test]
		public void CheckNew()
		{
			Assert.NotEquals(cbtMagazineIndex, null);
		}

		[Test]
		public void CheckAddMagazine()
		{
			cbtMagazineIndex.AddMagazine("DDG developers' magazine");

			Assert.True(cbtMagazineIndex.IsMember("DDG developers' magazine"));
		}

		[Test]
		public void CheckAddTwoMagazines()
		{
			cbtMagazineIndex.AddMagazine("DDG developers' magazine");
			cbtMagazineIndex.AddMagazine("BUG developers' magazine");

			Assert.True(cbtMagazineIndex.IsMember("DDG developers' magazine"));
			Assert.True(cbtMagazineIndex.IsMember("BUG developers' magazine"));
		}

		[Test, Ignore("Feature is not ready for testing.")]
		public void CheckAddArticle()
		{
		}
	}
}
